function m0252
%  m0252.m     (Matlab&Simulink Rel.14 SP3)
%  
%  Bild 2.52 a und b
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme: keine
%
%  (c) 10.11.05  R.Froriep
%
% ########################################################
%
%  Variations-Empfehlungen:
%
%   Pendelmasse    m   im Bereich  0.3   < m  <  2.
%   Pendellnge    l   im Bereich  0.2   < l  <  .4
%   Reibungskoeff. cR  im Bereich  0.02  < cR < 0.5.
%
% ########################################################
clear

     m =.5;       % Voreinstellung  m=0.5 (kg)
     l =.2;       % Voreinstellung  l=0.2 (m)
     cR=.05;      % Voreinstellung  cR=.05 (Nm/(rad/s))

% ########################################################

menu='none';  % none oder fig
close all
fonts=8;

% Stehendes Pendel:
g=9.81;
a2=+1;
a1=+cR/(m*l*l);
a0=-g/l;
b0=-1/(m*l);

zae=[b0];  nen=[a2 a1 a0];

b=.05;       % Impulsintensitt

te=5; t=0:.01:te;

figure(1)   % Impulsantwort
set(gcf,'Units','normal','Position',[.6 .5 .38 .3], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild 2.52b');
buch(gcf)

axes
set(gca,'FontSize',fonts,...
    'Position',[.18 .2 .7 .75],...
    'XLim',[0 te],...
    'XTick',[0:1:te],...
    'YLim',[-30 5],...
    'YTick',[-30:10:20],...
    'NextPlot','add',...
    'Box','on');
tachs1=[0 te]; tachs2=[0 0];
plot(tachs1,tachs2,'k')
grid off
xlabel('t / s \rightarrow')
ylabel('\vartheta / Grad \rightarrow')


%  Auswertung von Lsungsformel auf S.73:
pole=roots(nen);
s1=pole(1);
s2=pole(2);
A1=b0*b/(s1-s2);
A2=b0*b/(s2-s1);
theta= A1*exp(s1*t) + A2*exp(s2*t);
theta=(180/pi)*theta;
plot(t,theta,'k-','LineWidth',1.5);


figure(2)   % Pole
set(gcf,'Units','normal','Position',[.29 .5 .3 .3], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild 2.52a');
buch(gcf)

plot(s1,0,'bx',s2,0,'bx','linewidth',2)
set(gca,'FontSize',fonts,...
    'Position',[.1 .15 .8 .8],...
    'DataAspectRatio',[1 1 1],...
    'XLim',[-10 8],...
    'XTick',[-10:2:8],...
    'YLim',[-8 8],...
    'ytick',[-8:2:8],...
    'NextPlot','add');
grid on
re1=[-10 8 ]; re2=[0 0]; im1=[0 0]; im2=[-8 8];
plot(re1,re2,'k'), plot(im1,im2,'r','LineW',2)
xlabel('Re\{s\} \rightarrow')
ylabel('Im\{s\} \rightarrow')





















function []=buch(fighandle)
cr0=uimenu('parent', fighandle);
set(cr0,'Label','?')
cr1=uimenu('parent', cr0);
set(cr1,'Label','Mann/Schiffelgen/Froriep')
cr2=uimenu('parent', cr0);
set(cr2,'Label','Einfhrung in die Regelungstechnik')
cr3=uimenu('parent', cr0);
set(cr3,'Label','Hanser-Verlag')

