function m0803
%  m0803.m     (Matlab&Simulink Rel.14 SP3)
%
%  Bild 8.3 b
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme:  keine
%
%  (c)10.11.05  R.Froriep
%
% ########################################################
%
%  Variations-Empfehlungen:
%
%  Sprunghhe udach im Bereich  0.5 < udach < 2.
%
%   --->  s.u. im Programmfragment aus Beispiel 8.1
%
% ########################################################
clear



% ########################################################

menu='none';  % none oder fig
close all
fonts=8; 

%  Programmfragment aus Beispiel 8.1:
T1=0.1;   
T=0.05;   
a1=-exp(-T/T1); b1= 1+a1;  
ke=10;    
udach=2;                       % hier udach ndern
uek=udach*ones(1,ke+1);
uck(1)=0; 
for k=1:ke
    uck(k+1)= -a1*uck(k) + b1*uek(k);  % Ohne Strichpunkt:
                          %  Tabelle Bild 8.3, Spalte uc,k
end
k=0:ke;
% plot(k,uck,'x')

% Ende Programmfragment -----------------

% Der folgende Programmteil bereitet die grafische Darstellung
% der Ergebnisse so auf, wie sie Bild 8.3b zeigt:

figure(1)
set(gcf,'Units','normal','Position',[.5 .5 .5 .4], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild 8.3b');
buch(gcf)  

subplot(2,1,1)
kachs1=[-2 ke]; kachs2=[0 0];
fachs1=[0 0]; fachs2=[-.5 2.5];
plot(kachs1,kachs2,'k',fachs1,fachs2,'k')
grid on, hold on
set(gca,'FontSize',fonts,...
        'XLim',[-2 ke],'YLim',[-0.5 2.5],...
    'XTick',[-2:10],'YTick',[-.5:.5:2.5]);
plot(k,uek,'x','Linew',2)
kneg1=[-2 -1]; kneg2=[ 0 0];
plot(kneg1,kneg2,'x','LineW',2)
xlabel('k')
ylabel('u_{e,k}')

subplot(2,1,2)
kachs1=[-2 ke]; kachs2=[0 0];
fachs1=[0 0]; fachs2=[-.5 2.5];
plot(kachs1,kachs2,'k',fachs1,fachs2,'k')
grid on, hold on
set(gca,'FontSize',fonts,...
        'XLim',[-2 ke],'YLim',[-0.5 2.5],...    
'XTick',[-2:10],'YTick',[-.5:.5:2.5]);
plot(k,uck,'x','Linew',2)
kneg1=[-2 -1]; kneg2=[ 0 0];
plot(kneg1,kneg2,'x','LineW',2)
xlabel('k')
ylabel('u_{c,k}')



















function []=buch(fighandle)
cr0=uimenu('parent', fighandle);
set(cr0,'Label','?') 
cr1=uimenu('parent', cr0);
set(cr1,'Label','Mann/Schiffelgen/Froriep') 
cr2=uimenu('parent', cr0);
set(cr2,'Label','Einfhrung in die Regelungstechnik') 
cr3=uimenu('parent', cr0);
set(cr3,'Label','Hanser-Verlag')

