%  ma103.m     (Matlab&Simulink Rel.14 SP3)
%
%  Bild A.1.3
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme: sa103.mdl
%
%  (c)10.11.05  R.Froriep
%
% ########################################################
%
%  Erluterungen:
%  
%    Dieses m-file (ein script-file) hat gegenber dem
%    Buchtext S.397 einige zustzliche Befehle, die aus
%    Platzgrnden im Buch nicht enthalten sind, jedoch 
%    entbehrlich sind:
%
%    z.B. 
%    Zeile 29: ffnen des model-files sa103.mdl zu 
%              Bild A.1.3a 
%    Zeilen 53 und 54: title fr Bildberschriften
%    Zeilen 50 und 61: set zum Konfigurieren der figures
%  
% ########################################################

clear

menu='none';  % none oder fig
close all
open_system('sa103')


% RC-Netzwerk Daten:
R=1 ;         % KOhm
C=100;        % uF

% Umrechnung auf SI-Einheiten
R=R*1e3;
C=C*1e-6;

% Simulationsdauer
te=1;

% Ausgabefenster anlegen
figure(1)
set(gcf,'Units','normal','Position',[.5 .6 .5 .3], ...
     'NumberTitle','off','MenuBar',menu,...
     'Name',' Bild A.1.3b');
axis([0 1 0 1.2])
title('Eingangsspannung')
xlabel('t  \rightarrow')
ylabel('u_e  \rightarrow')
grid
hold on

figure(2)
set(gcf,'Units','normal','Position',[.5 .2 .5 .3], ...
     'NumberTitle','off','MenuBar',menu,...
     'Name',' Bild A.1.3b');
axis([0 1 0 1.2])
title('Kondensatorspannung')
xlabel('t  \rightarrow')
ylabel('u_C  \rightarrow')
grid
hold on


% Parametervariationsschleife
for i=1:3

    if i==2, R=2*R; end
    if i==3, R=3*R; end

    opts=simset('Solver','ode45',...
                'InitialState',[],...
                'MaxStep',.01);
    [t,x,y]=sim('sa103',[0 te],opts);
   
    figure(1)
    plot(t,y(:,1),'k','linewidth',1.5)
 
    figure(2)    
    plot(t,y(:,2),'k','linewidth',1.5)
    
end